## galapi
Class xsInt

    java.lang.Object
      galapi.Item
          galapi.Atomic
              galapi.xsInt

public class xsInt
extends Atomic

Field Summary

Fields inherited from class galapi.Item
`item`

Constructor Summary
`xsInt(int d)`

Method Summary
`protected static int` `intToItem(int i)`
`protected static int` `itemToInt(int it)`
`int` `toInt()`

Methods inherited from class galapi.Item
`finalize, getAtomic, getAttribute, getElement, getNativeItem, getNode, itemKind, nativeAtomicValue, nativeAttribute, nativeElement, nativeFree, nativeItemKind, nativeNode, nativeString, setItem, toString`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### xsInt

    public xsInt(int d)
          throws GalapiException

Method Detail

### toInt

    public int toInt()
              throws GalapiException

  Throws:
    `GalapiException`

### intToItem

    protected static int intToItem(int i)

### itemToInt

    protected static int itemToInt(int it)